Bug 733076 - Fedora router host shows as destination host in traceroute
Summary: Fedora router host shows as destination host in traceroute
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 16:02 UTC by redhat-bugzilla
Modified: 2012-06-06 19:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 19:02:52 UTC


Attachments (Terms of Use)

Description redhat-bugzilla 2011-08-24 16:02:34 UTC
Description of problem:
Ok, I have my Fedora Box setup as my local router. It does MASQ, SNAT, and strait gateway routing of my various networks and VPNs. When I was using the previous 2.6.38 fedora kernels everything was fine. Now that I'm using the 2.6.40 fedora kernels, every traceroute that "goes through" my fedora router, shows up as the destination ip of the trace.


Version-Release number of selected component (if applicable):
2.6.40-4.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Setup IP forwarding
2. trace between networks
  
Actual results:
Tracing route to google.ca [74.125.226.19]
over a maximum of 30 hops:

  1    <1 ms     1 ms    <1 ms  74.125.226.19
  2    14 ms    13 ms     5 ms  10.250.84.1
  3     6 ms    11 ms    10 ms  172.250.250.1
  4    17 ms    11 ms    14 ms  nf-stph-asr001.nf.eastlink.ca [24.222.23.237]
  5    51 ms   244 ms   230 ms  ns-hlfx-dr002.ns.eastlink.ca [24.215.102.77]
  6    24 ms    28 ms    43 ms  ns-hlfx-br002.ns.eastlink.ca [24.215.102.5]
  7    31 ms    23 ms    22 ms  ns-hlfx-br001.ns.eastlink.ca [24.215.102.9]
  8    54 ms    52 ms    53 ms  google.eastlink.ca [24.215.101.10]
  9    54 ms    52 ms    56 ms  216.239.47.114
 10    60 ms    48 ms    50 ms  72.14.233.142
 11    56 ms    47 ms    48 ms  74.125.226.19


Expected results:
Tracing route to google.ca [74.125.226.19]
over a maximum of 30 hops:

  1    <1 ms     1 ms    <1 ms  router.home [10.200.1.225]
  2    14 ms    13 ms     5 ms  10.250.84.1
  3     6 ms    11 ms    10 ms  172.250.250.1
  4    17 ms    11 ms    14 ms  nf-stph-asr001.nf.eastlink.ca [24.222.23.237]
  5    51 ms   244 ms   230 ms  ns-hlfx-dr002.ns.eastlink.ca [24.215.102.77]
  6    24 ms    28 ms    43 ms  ns-hlfx-br002.ns.eastlink.ca [24.215.102.5]
  7    31 ms    23 ms    22 ms  ns-hlfx-br001.ns.eastlink.ca [24.215.102.9]
  8    54 ms    52 ms    53 ms  google.eastlink.ca [24.215.101.10]
  9    54 ms    52 ms    56 ms  216.239.47.114
 10    60 ms    48 ms    50 ms  72.14.233.142
 11    56 ms    47 ms    48 ms  74.125.226.19


Additional info:
I have checked with a linux traceroute as well, the same thing happens, so this is not an issue with the windows tracert tool. I'm not sure if this has any security implications or not.

Comment 1 Dave Jones 2012-04-11 14:27:48 UTC
please post the exact forwarding setup that you used, so we can try to reproduce this.


Note You need to log in before you can comment on or make changes to this bug.